//////////////////////////////////////////
//
//		main.cpp
//
//		C++でのメモリの動的確保
//
//
/////////////////////////////////////////

////////////////////////////////////////
//		includefile
////////////////////////////////////////

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

////////////////////////////////////////
//		定数定義
////////////////////////////////////////

#define MAX_PLAYER (10)
#define MAX_NAME (64)								//名前の最大文字数

///////////////////////////////////////
//		class
///////////////////////////////////////

//playerクラス
class CPlayer{

public:

	CPlayer();										//コンストラクタ
	~CPlayer();										//デストラクタ
	void Init( void );								//プレイヤーの初期化
	void Uninit( void );							//プレイヤーの終了処理
	void Input( void );								//プレイヤーデータの入力
	void Output( void );							//プレイヤーデータの出力

private:

	int m_nLife;									//playerのライフ
	int m_nAttack;									//playerの攻撃力
	int m_nSpeed;									//playerの速さ

};
//void Input( void );
//void Output( void );

//////////////////////////////////////

//メイン関数
void main( void )
{

	CPlayer player;		//作成時にインスタンスを呼ぶ

	player.Init();

	//入力処理
	player.Input();

	//出力処理
	player.Output();

	player.Uninit();


	/*rewind(stdin);
	getchar();*/

}
//コンストラクタ
CPlayer::CPlayer( )
{

	//(インスタンス生成時に自動的に呼び出し)

	//値のクリア
	m_nLife=0;
	m_nAttack=0;
	m_nSpeed=0;


}
//デストラクタ
CPlayer::~CPlayer( )
{
	//(インスタンス破棄時に自動的に呼び出し)
}
//初期化処理
void CPlayer::Init( void )
{
	
	//値の初期化
	m_nLife=0;
	m_nAttack=0;
	m_nSpeed=0;

}
//終了処理
void CPlayer::Uninit( void )
{

}
//入力処理
void CPlayer::Input( void )
{

	m_nLife = 10;
	m_nAttack = 20;
	m_nSpeed = 30;

}
//出力処理
void CPlayer::Output( void )
{

	printf("体力 : %d\n",m_nLife);
	printf("攻撃力 : %d\n",m_nAttack);
	printf("素早さ : %d\n",m_nSpeed);

}
